Bug 91212 - (DRM)kernel-2.4.20-13.8 gives drm:radeon_freelist_get NULL errors
(DRM)kernel-2.4.20-13.8 gives drm:radeon_freelist_get NULL errors
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-19 19:21 EDT by Andre
Modified: 2015-01-04 17:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre 2003-05-19 19:21:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
While running unreal tournament or quake3 the new kernel is now suddenly giving
the following errors:
  kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
  last message repeated 27 times
They both run OK, but they seem a tiny bit jerky occasionally (presumably when
this error is hit?)

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.8

How reproducible:
Always

Steps to Reproduce:
1.run q3 or ut for a little while (a couple of minutes is all it takes to get a
few errors).

Actual Results:  kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!

Additional info:

I have a radeon AGP 64M DDR video card on a S2390B Trinity KT-A motherboard with
a AMD Athlon(tm) XP 1700+ processor.
Comment 1 Andre 2003-07-10 18:44:41 EDT
I'm still getting this error after upgrading to RedHat 9 with kernel-2.4.20-18.9.  
Comment 2 Heinz Hemken 2003-08-29 14:20:43 EDT
I also observe this problem in kernel:
kernel: Linux version 2.4.20-20.8 (bhcompile@daffy.perf.redhat.com) (gcc version
3.2 20020903 (Red Hat Linux 8.0 3.2-7))

Apparently, when the screensaver kicks in under gnome, or when I rearranged the
desktop items under KDE, I get this error. Unfortunately, the system locks up
minutes later and cannot even respond to a ping. Here is part of the system log
right up to a freeze and power cycle.

Aug 29 10:13:02 spogg gdm(pam_unix)[967]: session opened for user hemkenhg by
(uid=0)
Aug 29 10:13:16 spogg modprobe: modprobe: Can't locate module sound-slot-1
Aug 29 10:13:16 spogg modprobe: modprobe: Can't locate module sound-service-1-0
Aug 29 10:13:16 spogg modprobe: modprobe: Can't locate module sound-slot-1
Aug 29 10:13:16 spogg modprobe: modprobe: Can't locate module sound-service-1-0
Aug 29 10:13:23 spogg gconfd (hemkenhg-1687): starting (version 1.2.1), pid 1687
user 'hemkenhg'
Aug 29 10:13:23 spogg gconfd (hemkenhg-1687): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only config source at
position 0
Aug 29 10:13:23 spogg gconfd (hemkenhg-1687): Resolved address
"xml:readwrite:/home/hemkenhg/.gconf" to a writable config source at position 1
Aug 29 10:13:23 spogg gconfd (hemkenhg-1687): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only config source at
position 2
Aug 29 10:20:00 spogg kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Aug 29 10:20:31 spogg last message repeated 2056 times
Aug 29 10:21:32 spogg last message repeated 4066 times
Aug 29 10:22:33 spogg last message repeated 4068 times
Aug 29 10:23:34 spogg last message repeated 4065 times
Aug 29 10:24:35 spogg last message repeated 4063 times
Aug 29 10:25:36 spogg last message repeated 4065 times
Aug 29 10:26:16 spogg last message repeated 2712 times
Aug 29 10:26:16 spogg sshd(pam_unix)[1697]: authentication failure; logname=
uid=0 euid=0 tty=NODEVssh ruser= rhost=it.fsc.ad.celera.com  user=hemkenhg
Aug 29 10:26:16 spogg kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Aug 29 10:26:25 spogg last message repeated 567 times
Aug 29 10:26:25 spogg sshd(pam_unix)[1699]: session opened for user hemkenhg by
(uid=500)
Aug 29 10:26:25 spogg kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Aug 29 10:26:35 spogg last message repeated 661 times
Aug 29 10:26:35 spogg su(pam_unix)[1730]: session opened for user root by
hemkenhg(uid=500)
Aug 29 10:26:35 spogg kernel: [drm:radeon_freelist_get] *ERROR* returning NULL!
Aug 29 10:27:06 spogg last message repeated 2039 times
Aug 29 10:28:07 spogg last message repeated 4067 times
Aug 29 10:37:37 spogg syslogd 1.4.1: restart.
Comment 3 Need Real Name 2003-11-03 17:41:24 EST
I started getting this same error after I updated to kernel 2.4.20-
20.7.  (I am running Redhat 7.3 on an i686).  I finally tracked it 
down to the screensaver.  Only the 3-d screensavers would do it.  

I tested each of them -- morph3d and space both caused the error and 
the display locked up (I assume that pipes would also cause the 
problem, but I didn't check).  The only way regain access was to ssh 
from another machine and shutdown (except one time when the network 
services stopped working and I had to kill the power). 

When I booted to an old kernel (2.4.18-27.7.x) all of the 
screensavers worked fine.

I have not tried any other 3-d applications.
Comment 4 Dave Jones 2004-01-04 23:46:09 EST
RHL 7 & 8 are now EOL. There's a large number of variables that could
be the cause of this bug (xscreensaver, XFree86...) the kernel DRM is
common between RHL 7/8/9, so if you can reproduce with RHL9, feel free
to reopen.
Comment 5 Andre 2004-01-05 01:30:43 EST
I'm still getting this error on RedHat 9 with kernel 2.4.20-27.9, so
I'm re-opening.  It does seem to happen less now (although unreal
tournament seems to consistently trigger it).
Comment 6 Bugzilla owner 2004-09-30 11:40:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.